> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# WOEID के अनुसार रुझान

> किसी विशिष्ट भौगोलिक स्थान के लिए ट्रेंडिंग विषय प्राप्त करें

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Trends by WOEID endpoint किसी विशिष्ट भौगोलिक स्थान के लिए ट्रेंडिंग विषय लौटाता है, जिसकी पहचान Yahoo! Where On Earth ID (WOEID) से की जाती है।

<div id="overview">
  ## अवलोकन
</div>

<CardGroup cols={2}>
  <Card title="स्थान-विशिष्ट" icon="location-dot">
    किसी भी समर्थित स्थान के रुझान
  </Card>

  <Card title="वैश्विक कवरेज" icon="globe">
    देश, शहर और क्षेत्र
  </Card>

  <Card title="रीयल-टाइम" icon="bolt">
    मौजूदा ट्रेंडिंग विषय
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## एंडपॉइंट
</div>

| Method | Endpoint                                                         | Description                             |
| :----- | :--------------------------------------------------------------- | :-------------------------------------- |
| GET    | [`/2/trends/by/woeid/:id`](/hi/x-api/trends/get-trends-by-woeid) | किसी WOEID के लिए रुझान प्राप्त करता है |

***

<div id="common-woeids">
  ## सामान्य WOEID
</div>

| स्थान                 | WOEID    |
| :-------------------- | :------- |
| दुनियाभर              | 1        |
| संयुक्त राज्य अमेरिका | 23424977 |
| यूनाइटेड किंगडम       | 23424975 |
| जापान                 | 23424856 |
| न्यूयॉर्क             | 2459115  |
| लॉस एंजेलिस           | 2442047  |
| लंदन                  | 44418    |
| टोक्यो                | 1118370  |

***

<div id="example-request">
  ## अनुरोध का उदाहरण
</div>

```bash theme={null}
curl "https://api.x.com/2/trends/by/woeid/1" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-response">
  ## उदाहरण रिस्पॉन्स
</div>

```json theme={null}
{
  "data": [
    {
      "trend_name": "#AI",
      "tweet_count": 250000
    },
    {
      "trend_name": "Breaking News",
      "tweet_count": 180000
    }
  ]
}
```

***

<div id="getting-started">
  ## शुरू करें
</div>

<Note>
  **पूर्वापेक्षाएँ**

  * एक स्वीकृत [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * डेवलपर कंसोल में एक [Project और ऐप](/hi/resources/fundamentals/developer-apps)
  * आपके ऐप का [बेयरर टोकन](/hi/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="वैयक्तिकृत रुझान" icon="user" href="/hi/x-api/trends/personalized-trends/introduction">
    प्रमाणीकृत उपयोगकर्ता के लिए रुझान प्राप्त करें
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/trends/trends-by-woeid">
    एंडपॉइंट का संपूर्ण दस्तावेज़ीकरण
  </Card>
</CardGroup>
